CREATE TABLE NNLOCATION_MERCHANT (
    ID_NNLOCATION_MERCHANT INTEGER NOT NULL,
    NNLOCATION_ID INTEGER NOT NULL,
    MERCHANT_UUID VARCHAR2(30 CHAR) NOT NULL,
    API_KEY VARCHAR2(30 CHAR) NOT NULL,
    API_PASSPHRASE VARCHAR2(50 CHAR) NOT NULL,
    ACTIVE VARCHAR2(1 CHAR) NOT NULL,
    CONSTRAINT NNLOCATION_MERCHANT_PL PRIMARY KEY(ID_NNLOCATION_MERCHANT),
    CONSTRAINT NNLOCATION_MERCHANT_LOCATION FOREIGN KEY (NNLOCATION_ID) REFERENCES NNLOCATION(ID),
    CONSTRAINT NNLOCATION_MERCHANT_U_ID UNIQUE(NNLOCATION_ID, MERCHANT_UUID)
);

CREATE SEQUENCE NNLOCATION_MERCHANT_SEQ MINVALUE 1 INCREMENT BY 1 START WITH 1 NOCACHE NOORDER  NOCYCLE;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (2213, SYSDATE, '5.5', 2133, 'MW accounts')
;
